# @billogram/foundation-form-control-group

> React layout components for form control components

## Install

```
yarn add @billogram/foundation-form-control-group
```

## Usage

```tsx
import {
    FoundationFormControl,
    FoundationFormControlGroup,
    FoundationFormControlGroupSection,
} from '@billogram/foundation-form-control-group';
```

See [types](src/types.ts) for exported types.

### [`FoundationFormControl`](src/FoundationFormControl.tsx)

```tsx
<FoundationFormControl>
    ...
</FoundationFormControl>
```

### [`FoundationFormControlGroup`](src/FoundationFormControlGroup.tsx)

```tsx
<FoundationFormControlGroup>
    <FoundationFormControl>
        ...
    </FoundationFormControl>
</FoundationFormControlGroup>
```

### [`FoundationFormControlGroupSection`](src/FoundationFormControlGroupSection.tsx)

```tsx
<FoundationFormControlGroupSection
    description={ null }
    layout="column"
    title={ null }>
    <FoundationFormControlGroup>
        <FoundationFormControl>
            ...
        </FoundationFormControl>
    </FoundationFormControlGroup>
</FoundationFormControlGroupSection>
```


## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
